%define fname		speedbar
%define name		emacs-%{fname}
%define version		0.14
%define beta		beta4
%define release		0.%{beta}.2mdk
%define speedbardir	%{_datadir}/emacs/site-lisp/%{fname}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Speedbar for Emacs
Requires:	emacs >= 20.7
License:	GPL
URL:		http://sourceforge.net/projects/cedet/
Source:		http://unc.dl.sourceforge.net/sourceforge/cedet/%{fname}-%{version}%{beta}.tar.bz2
Group:		Editors
Obsoletes:	speedbar
Provides:	speedbar = %version-%release
Buildroot:	%_tmppath/%{name}-root
BuildArch:	noarch
BuildRequires:	emacs-bin

%description
Speedbar is an Emacs Lisp program which allows you to create a special
skinny frame with a specialized directory listing in it. This listing
will have both directories and filtered files in it. You can then load
files into your emacs frame, or expand the files to display all the tags
that are in them and jump to those tags. You can also expand multiple
directories into your speedbar frame.

%prep
%setup -q -n %fname-%version%beta

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_usr/share/emacs/site-lisp/%{fname}
install -d $RPM_BUILD_ROOT{%{speedbardir},%{_infodir}}

install -m 644 *.el *.elc $RPM_BUILD_ROOT%{speedbardir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{fname}.info

%postun
%_remove_install_info %{fname}.info

%files
%defattr (-, root, root)
%doc ChangeLog INSTALL
%{speedbardir}
%{_infodir}/*info*

%changelog
* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.14-0.beta4.2mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.14-0.beta4.1mdk
- contributed by David Walluck <david@anti-microsoft.org>
